#include "core/session.h"
#include "core/anime_db.h"
#include "core/strings.h"
#include "services/anilist.h"
#include "gui/window.h"

#include <QApplication>
#include <QStyleFactory>
#include <QTranslator>
#include <QLocale>

#include <iostream>

Session session;

int main(int argc, char** argv) {
	QApplication app(argc, argv);
	app.setApplicationName("minori");
	app.setApplicationDisplayName("Minori");
	app.setAttribute(Qt::AA_DontShowIconsInMenus, true);

	session.config.Load();
	Anime::db.LoadDatabaseFromDisk();

	MainWindow window;

	window.resize(941, 750);
	window.setWindowTitle("Minori");
	window.show();

	return app.exec();
}
